=== debian/changelog ===
kdsoap (2.2.0+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not disable GCS warning anymore for arm64 (Closes: #1127152).
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Drop Rules-Requires-Root: no, not needed anymore.
  * Update d/watch to format version 5.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Feb 2026 21:27:55 +0100

kdsoap (2.2.0+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Turn off warning for GCS on arm64 (Closes: #1110455).
  * Update d/copyright.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Aug 2025 23:05:59 +0200

kdsoap (2.2.0+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Pass -DKDSoap_EXAMPLES=OFF to stop building the examples: they are not
    installed or run anyway, and they cannot be cross-built. (Closes: #1024418)
  * Add a simple debian/upstream/metadata file.
  * debian/kdwsdl2cpp-qt6.1: minor fixes.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 18:59:00 +0100

kdsoap (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Switch Maintainer to Debian KDE Extras Team.
  * Update symbols files from the logs of buildds.
  * Remove field Section on binary package libkdsoap-bin that duplicates source.
  * Stop shipping the upstream README.md in libkdsoap-doc, as it does not
    provide a lot of value for users.
  * Enable the build of the QCH documentation:
    - add doxygen, qdoc-qt6, qt6-base-doc-dev, and qt6-tools-dev as
      Build-Depends-Indep
    - enable the cmake parameter -DKDSoap_DOCS only when building libkdsoap-doc
    - tweak the search of qhelpgenerator to look for it in libexec; patch
      qttools-paths.diff
    - update libkdsoap-doc.install

 -- Pino Toscano <pino@debian.org>  Sat, 01 Feb 2025 10:52:14 +0100

kdsoap (2.2.0+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release 2.2.0 (Closes: #1074108).
  * Set myself as maintainer (Closes: #1088328, #1093519).
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update fields Vcs-Browser and Vcs-Git.
  * Update files to exclude.
  * Update build-deps and deps with the info from cmake.
  * New binary packages and update list of installed files.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Jan 2025 21:35:24 +0100

kdsoap (1.9.1+dfsg-6) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group. (See: #1093519)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 19 Jan 2025 15:27:32 +0100
