=== debian/control ===
Source: kdsoap
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.12),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.0.0~),
Build-Depends-Indep: doxygen,
                     qdoc-qt6,
                     qt6-base-doc-dev,
                     qt6-tools-dev,
Standards-Version: 4.7.3
Section: libs
Homepage: https://www.kdab.com/development-resources/qt-tools/kd-soap/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdsoap
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdsoap.git

Package: libkdsoap-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt-based client-side and server-side SOAP component - binaries
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains some utilities and example programs for the library.

Package: libkdsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdsoap-bin (= ${binary:Version}),
         libkdsoap-qt6-2 (= ${binary:Version}),
         libkdsoap-server-qt6-2 (= ${binary:Version}),
         ${misc:Depends},
Suggests: libkdsoap-doc,
Description: Qt-based client-side and server-side SOAP component - devel files
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the development files

Package: libkdsoap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Qt-based client-side and server-side SOAP component - documentation
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the documentation.

Package: libkdsoap-qt6-2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt-based client-side and server-side SOAP component - client-side library
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the client-side library

Package: libkdsoap-server-qt6-2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt-based client-side and server-side SOAP component - server-side library
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the server-side library
