=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: s/\+dfsg\d*$//
Owner: KDAB
Project: KDSoap
Repack: yes
Repacksuffix: +dfsg
